Replace account tags
curl --request PATCH \
--url https://api.portfobit.com/api/v1/accounts/{account_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": [
"<string>"
]
}
'import requests
url = "https://api.portfobit.com/api/v1/accounts/{account_id}"
payload = { "tags": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: ['<string>']})
};
fetch('https://api.portfobit.com/api/v1/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "acc_01H8XFK9A",
"connector_id": "con_binance",
"name": "Binance_Main",
"venue": "binance",
"market_type": "crypto",
"tags": [
"Long_Term"
],
"portfolio_ids": [
"pf_01J2K7M9N3"
],
"api_key_masked": "VMx8_ellipsis_9Lp2",
"requested_permissions": {
"read": true,
"trade": false,
"transfer": false,
"withdraw": false
},
"permission_status": "verified",
"permission_issue_code": null,
"inspectable_permissions": [
"read",
"trade",
"transfer",
"withdraw"
],
"status": "active",
"subscription_access": "available",
"last_synced_at": "2026-08-07T08:00:00Z",
"created_at": "2026-08-01T00:00:00Z",
"updated_at": "2026-08-07T08:00:00Z"
},
"meta": {
"request_id": "req_01J2K8B7QW",
"generated_at": "2026-08-07T08:00:01Z"
}
}{
"error": {
"code": "invalid_request",
"message": "Provide a valid tags array.",
"details": {}
},
"meta": {
"request_id": "req_01J2K8B7QW",
"generated_at": "2026-08-08T08:00:00Z"
}
}{
"error": {
"code": "account_name_web_only",
"message": "Account name changes must be completed in Portfobit Web.",
"details": {}
},
"meta": {
"request_id": "req_01J2K8B7QW",
"generated_at": "2026-08-08T08:00:00Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z"
}
}Accounts
Replace account tags
Requires account:write. Only tags may be changed; name, credentials, permissions, and account deletion are Web-only safety flows.
PATCH
/
accounts
/
{account_id}
Replace account tags
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Connected CEX account ID.
Body
application/json